package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户人员关联
 * </p>
 *
 * @author JCB
 * @since 2022-08-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysUserPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 人员ID
     */
    private Integer personId;

    /**
     * 是否打开登录通知(1 表示是，0 表示否，默认 0)
     */
    private Integer isLoginNotify;


}
